/****************************************/
/* Cool Herders                         */
/* A demented muse by Brendan Wiese     */
/* http://starbow.org                   */
/* Programmed by Mike Brent             */
/* http://tursi.yiffco.com              */
/* sprite.h                             */
/****************************************/

typedef struct SPRITE {
	uint32	txr_addr;
	int		tilenumber;
	float	x, y, z;
	float	xd, yd;
	float	alpha;
	int		is3D;
	uint32	ta_style;
} SPRITE;

#define TILESIZE 48
#define GRIDSIZE 32
#define PAGESIZE 256.0f

void SortSprite(SPRITE *spr);
void SortScaledSprite(SPRITE *spr, float xScale, float yScale);
void addPage(uint32 txr, int x1, int y1, int x2, int y2);
void addPage2(uint32 txr, int x, int y, int x1, int y1, int x2, int y2, int alpha);

